Main Page Modules Data Structures File List Data Fields Globals Related Pages

# lib/manifest.h File Reference

Routines to expand a manifest containing glob expressions into an argv list. More...

Go to the source code of this file.

## Functions
char * | rpmPermsString (int mode)
| Return ls(1)-like formatted mode string. More...
int | rpmReadPackageManifest (FD_t fd, int *argcPtr, const char ***argvPtr)
| Read manifest, glob items, and append to existing args. More...

## Detailed Description

Routines to expand a manifest containing glob expressions into an argv list.

Definition in file manifest.h.

## Function Documentation

char* rpmPermsString | ( | int | mode | ) |

  | Return ls(1)-like formatted mode string. Parameters:
  mode | file mode
Returns: (malloc'd) formatted mode string Definition at line 18 of file manifest.c. Referenced by permsFormat, and printFileInfo.

int rpmReadPackageManifest | ( | FD_t | fd,
|  | int * | argcPtr,
|  | const char *** | argvPtr
| ) |

| Read manifest, glob items, and append to existing args. Todo: Infinite loops through manifest files exist, operator error for now. Definition at line 68 of file manifest.c. Referenced by rpmGraph, rpmInstall, and rpmQueryVerify.